Subject: Progress report......

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 25 Jan 2005 14:46:37 +0100

Despite the fact that the number of messages on the list doesn't seem to be 
decreasing, I believe we are in fact making progress.
Out of 22 tickets listed as "open" yesterday, I believe we have agreed text 
on most - 3 needed some checking, 3 were "not yet processed", and only one 
- the appeals stuff in #725, which also is required for #720 and #792 - 
seems to be a really sticky issue.

Things that have come up under "procedural" include:

- Requests for an explicit sign-off from the IAB before the document is 
approved by the IESG
- Requests for an explicit statement from the ISOC BoT (or representatives 
thereof) that they will not require any more changes before approving the 
document through an ISOC BoT resolutions - again, doing this before the 
IESG formally signs off on it
- Requests that there be at least a week between the final version of the 
document and IESG formally signing off on it.

I think that's all...... working on it now. The end is (perhaps) near....

                 Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Wed, 26 Jan 2005 00:39:49 -0500

--On Tuesday, 25 January, 2005 14:46 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> Despite the fact that the number of messages on the list
> doesn't seem to be decreasing, I believe we are in fact making
> progress.
>...

Harald (and Leslie),

This is very encouraging.  But there is a small, but IMO
critical, collection of subjects on which I had hoped we would
see some spontaneous clarification or at least that someone else
would notice and ask.   I note that Bob Kahn's recent note
raises, in a different form, some of the questions raised below.
Since this note was mostly written before his appeared on the
list, and his note deserves careful study, I have not tried to
modify the notes and questions below to reflect his comments.  I
do observe, however, that his note seems to suggest that the IPR
and ISOC involvement issues are even more murky than they
appeared to be when I drafted the text and questions that follow.

It seems to me that the very essence of the plan that the BCP
documents is rooted in:

	* A very clear process, with opportunities for community
	comment, on the general terms and conditions of any
	outsourcing arrangements, or, if the relevant tasks are
	to be performed internally, equivalent discussion and
	documentation.  It is, of course, important to strike
	the balance between those considerations and the ability
	of the IAD and IAOC to negotiate and approve contracts,
	but the draft seems about right in that area.
	
	* An IAD who has been involved in RFP-writing and
	contract negotiation and who is satisfied that he or she
	can manage the relevant activities to the degree needed
	to meet community expectations.    That IAD is to be
	managed by an IAOC which has oversight responsibility in
	those areas, and review and approval rights and
	responsibility over those RFPs and contracts.  It is our
	intention that both be accountable to the IETF community
	for getting tasks performed, which implies that the need
	to have the tools (contractual and otherwise) needed to
	perform that work.
	Modulo some details that seem to be getting filled in,
	and some others that we can adjust as we go along if
	needed, I think the draft is about right in this area.

If my memory is correct, the community very specifically did not
give the transition team the authority to write and issue
final/binding RFPs, to make the final IAD hiring decision, or to
approve any long-term contracts or other agreements, precisely
to preserve the clean set of relationships outlined above.  In
addition, it seems to me that another key goal is to have...
	
	* An orderly, predictable, and non-problematic situation
	with regard to IETF rights to all software, databases,
	documents, records, names, domains, web pages, and other
	materials that might be considered as "intellectual
	property", at least going forward.  Again, I think the
	draft pretty much covers what we need.

However, Leslie posted a note last Friday on behalf of the IASA
Transition Team ("IASA Transition Team update on Secretariat
2005") that indicated that that negotiations were underway
between CNRI and Neustar to sell Foretec to the latter.  I have
no opinion about whether that is a good idea or not.  It may be
strictly an issue between those two companies.  However, I am
extremely unclear about where that plan leaves the provisions
that so many of us have put so much time into working out the
details and refinements for the draft BCP.    I don't
necessarily object to the deal and the questions below should be
taken just as questions, with no particular bias about the
answers or the conclusions to be drawn from them.  But I think
it is important that the community have answers to these sorts
of questions before we sign off on the BCP.  Indeed, since many
people have noted that, regardless of what is in the BCP, we
will almost certainly need to revise it in a year or so after
experience accumulates, I have to wonder whether, if the
proposed deal with Neustar preempts any of the key goals or
methods posited by the BCP, whether it would make sense to
approve a much-abbreviated version now, post -06 only as an
Internet-Draft, and come back to it in a year or so after we
have that experience.

In particular, Leslie's note raises the following questions for
me.  
If others have other questions, I think this is the right time
to identify them.

(1) The note indicates that "the Transition Team is favorably
inclined to consider a proposal from NeuStar for continuing
Secretariat services...".  Does that language imply that the
Transition Team believes that it has the authority to accept
such a proposal, without waiting for the IAD and IAOC to be in
place? 

(2) During the brief, and (I believe necessarily) very indirect,
discussion of this plan at the Washington Plenary, it seemed to
be the plan that such a transfer would involve a transfer of any
and all CNRI IPR claims (past, present, or future) that related
to the IETF, its name, its work, etc., to the purchaser.  The
note says "All future intellectual property will be
unequivocally accessible to the IETF and the community".  Does
that imply that this deal would leave some past or present IPR
issues unresolved?

(3) Assuming Neustar acquires all of the putative CNRI IPR
rights in this deal, is the planned transfer when the
Neustar/Foretec "arrangement" (I notice that the note doesn't
say "contract") ends, or are they prepared to transfer all of
those claimed rights to the IETF/IASA/ISOC unconditionally and
as soon as they acquire them?

(4) I'm listing this separately because it really isn't an IPR
issue as such, but...   From time to time, there have been
suggestions that, if ISOC assumes any role in operating,
sponsoring, or overseeing the IETF Secretariat or related
functions, CRNI would sue them under the terms of an agreement
that CRNI believes was made some years ago.  If Neustar, or
someone else, acquires of ownership, does CNRI intend to
irrevocably waive any rights it might have (or believe it has)
against ISOC, the IETF, or anyone else to operate or oversee the
secretariat or to determine who does operate the secretariat?
If they do not, where does that leave us with regard to getting
the IASA up and functioning as "an IETF-controlled activity
within the Internet Society"?

(5) The note indicates three other goals which this deal would
accomplish, namely:

> o The IASA operation will be in place as an IETF-controlled
> activity within the Internet Society
> 
> o There will be full financial transparency and accountability
> 
> o There will be full management accountability

The first of these seems to be to be entirely between the IETF
community and ISOC, as documented in the draft BCP.  It seems to
me that, at least modulo the issue raised in (4) above,
arrangements between CNRI, Neustar, or others are neither
necessary nor sufficient (or even contributory) for that to
occur.  Do I misunderstand something about this, or are there
conditions and considerations in this arrangement (such as
concerns about the possible litigation referred to above that
the transition team (and/or IAB, IESG, or ISOC) have not told
the community about?

"Full financial transparency and accountability" and "full
management accountability" are principles, lacking operational
definitions.   As I understand the BCP, part of the role that
the community is delegating to the IAD and IAOC (subject to a
greater or lesser amount of community review once they generate
proposals and drafts) was to translate those principles into
contractual language and to accept proposals only from those who
were willing to agree to them.  Is a Neustar/Foretec definition
now to be substituted?  A Transition Team definition?   And, if
the answer to either of those questions is "yes", what mechanism
is anticipated for community input and (pre-decision) review?

(6) Another statement in the note is that...

> 1. This arrangement would be for a limited period of time,
> after which the IASA will review the performance and proceed
> to an open RFP (in which this new company could reasonably
> compete)

I have two questions about this as written (I may just be
reading too much into the text).   The first is another one of
those issues about contracts (or "arrangements" in lieu of
contracts) in advance of the IAOC being in place.  Who
determines what is an appropriate period of time?
Neustar/Foretec?  The Transition Team?  In the (IMO extremely
unlikely) event that their performance is unsatisfactory, will
the "arrangement" come with early termination clauses that IAOC
can exercise without litigation and without loss of any rights?

(7) The notion of a performance review _at the end of_ that
"limited period of time" is a variance with several of the
discussions that have been going on about the BCP in recent
days.  Can it be brought into better alignment with whatever the
BCP discussions conclude?

(8) Is "an open RFP  (in which this new company could reasonably
compete)" intended to be consistent with the "no assumption that
the task is needed (at least as defined), no assumption that all
staff are indeed needed, etc." model that was formerly described
as "zero base".  

(9) When that hypothetical "open RFP" is issued, will the new
organization get any special status as a consequence of
incumbency?  E.g., will the RFP (or evaluation process for bids)
permit them to claim some advantage on the basis of familiarity
with the IETF and its work, prior good deeds, familiarity with
custom-built tools, or similar experience?   While logic argues
that they should --greater familiarity should translate to
improved efficiency and/or lower costs-- the effect could be
similar to a permanent allocation to Neustar/Foretec (unless
they screw up), under conditions not completely determined by
the IASA, which might make many of the efforts of the last few
months somewhat irrelevant.

(10)  I also wonder about the possible interactions between this
arrangement and the process of selecting an IAD.   If the basic
IASA design stays in place, as the note indicates, the IAD is
responsible to the IASA and the IETF for the performance of the
Secretariat operator (or, more specifically, for the
standards-support and meetings functions).    Under the model as
outlined in the draft BCP, the IAD can presumably arrange the
RFPs and contracts so as to have adequate controls _in the
judgment of whomever is the IAD_ to make that level of
responsibility feasible.  If the IAD doesn't have any control
over what is in those contracts, but still have responsibility
for performance, isn't that going to make it much more difficult
for us to persuade someone competent (and sane) to take that
position?   Do we need to change the BCP to relax the IAD's
responsibilities for ensuring performance during the term of
this "arrangement"?

Or, more generally, if the IAD is expected to act merely as a
conduit for information between the IETF leadership and
Neustar/Foretec, is the job description correct (at least for
the duration of the Neustar arrangement) and does the job really
require a full-time person.

(11) Finally, if this arrangement is going to be concluded
before the full IAOC is seated and the IAD is hired, what is the
mechanism by which the IETF community gets to review and approve
the arrangement itself?  Will there be a document that responds
to the questions above and that specifies general mechanisms for
operation that is Last Called?     Are the conditions of this
arrangement likely to override the provisions of the draft BCP
in any way, especially with regard to reviews and appeals and,
if so, how will community input be obtained on whether those
conditions are appropriate?  And will be draft BCP be modified
with a good deal of "during the Neustar/Foretec transition
period" language or do we intend to start ignoring its
provisions even before we have settled on them?

Note that I'm not asking questions about the "proposed
relationship framework".  The statements may be fine.  They may
go too far or not far enough.  But they don't come out of the
process to which I believe the community agreed and I'm trying
to understand where that leaves us, both with regard to the
secretariat and with regard to whether this leaves much of the
BCP in an "overtaken by events" state.

regards, 
   john

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 26 Jan 2005 09:29:12 +0100

John,

attempting to take some higher-level process issues first, before answering 
questions in detail:

The question Neustar asked the transition team could be roughly represented 
as "If we make this deal with CNRI, will the IETF community think that we 
tried to help, or be mad at us for interfering?".

It was obvious to us, as the transition team, that we could not answer that 
definitely - we have no power to decide on behalf of the community. But 
after listening to what Neustar had to say, we were able to say:

- We will *share* with the community our opinion that this effort could 
help achieve a transition with less conflict and uncertainty than going 
straight from a CNRI-provided secretariat to an open RFP process would.

- We will *recommend* to the to-be-established IASA and IAOC that if this 
deal happens, they will negotiate in good faith with Neustar on a contract 
for these services.

I believe both of these actions are entirely within the remit of the 
transition team.

We do have something of a timing problem here - if we want our IAD to 
negotiate a contract, we cannot sign a contract before we have an IAD; we 
cannot hire the IAD before we have an IASA to do the hiring; we cannot 
establish an IASA before we have a BCP; we cannot approve a BCP before the 
text stands still.

But this event is occuring now - Neustar and CNRI are saying that it would 
be an advantage in practical terms to have this deal concluded before the 
March IETF. It would be very strange if we were so caught up in the 
formalities of IASA establishment that nobody was able to talk to them, 
look at what they are offering, and say "this appears to be helpful, thank 
you for trying".

I think that's a good use of the transition team.

                     Harald

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 26 Jan 2005 11:38:17 +0100

John C Klensin wrote:

[many things, including]

> such a proposal, without waiting for the IAD and IAOC to be in

I simply observe that unless we stop word-smithing and get some
form of the BCP on the books really soon, this question will be
overtaken by events. If there is no IAOC in place, but a final
proposal with deadline arrives from NeuStar, somebody will have
to answer it - either the IETF Chair du jour, or the transition
team.

So despite the seriousness of the issues you raise and those
implied by Bob Kahn's message, I would very strongly favour
declaring the BCP "good enough for now" as soon as we see
the -05 version. Some of the issues cannot be resolved and
documented at this time, IMHO.

(In superficial response to Bob's note, it seems to me that
the draft BCP gives IASA the duty to handle the relevant
IPR issues for the IETF and that is all we absolutely
need at this time.)

    Brian

---

From: John C Klensin <[email-masked]>
Date: Wed, 26 Jan 2005 10:13:17 -0500

> documented at this time, IMHO.

Brian,

Let me suggest a different (but admittedly paranoid) way of
looking at this.   Suppose we forget about -05, declare -04 done
and all other issues queued for a hypothetical future revision,
and that the IETF signs off on -04 tomorrow and sends it off to
the RFC Editor with a request to expedite publication.   (I'm
not suggesting that as a procedure, just as the fastest
theoretical way to get this finished).   So we have a BCP
protocol action on Friday and, with a little effort and good
will, the ISOC Board approves an appropriate resolution next
week.

Now let's assume that, on the 6th of February, a proposal with
deadline arrives from Neustar and that it leaves all of the
issues that my questions suggest might be unresolved (and all of
the issues that Bob Kahn's note raises clearly unresolved).

The situation you fear doesn't change at all.  The draft doesn't
give the IAOC any authority to accept an unsolicited proposal in
the absence of an IAD-created, IAOC-approved, RFP and at least
the potential for competitive proposals against that RFP.  The
potential for CNRI to try to block an ISOC-based IAOC is
unchanged.  The issues about review or appeals, who can initiate
them, and what they can change, that Sam, Avri, and others have
been discussing with Mike, myself, and others are likely to be
resolved by "no one at all in any meaningful way until the
initial term of the 'arrangement' expires", a situation that I'm
sure none of those who have been involved in that discussion
would find acceptable. (And the resemblance between that
situation and the one we now have with Foretec is very strong --
the only major difference that is apparent from Leslie's note is
that there will be an expiration/ review date.)

So, if such a proposal arrives and someone must respond to it,
whomever that is, either as an individual or as a body, are
going to need to go outside the bounds of the BCP and invent an
ad hoc procedure, whether the BCP has been approved or not...
unless, of course, the response is "no, we can't agree to this
because we have no authority".  It may be just a matter of
aesthetics, but I don't want to see the BCP go into effect and
for the first action of the IAOC to be to violate its terms.
Unless I've misunderstood what is happening --and I may well
misunderstand, hence all the questions-- I'd rather either 

	* Fix the BCP to accommodate this case, i.e., to give
	the IAOC the authority to accept unsolicited,
	sole-source proposals for outsourced operations if that
	seems appropriate to them, even if those proposals do
	not fufill some of the principles of the BCP itself or
	
	* Bury the BCP, at least in its present form, until we
	are really ready to move forward with its provisions.

The first of those options would, of course, respond to my
question about how the community authorizes this type of deal:
we examine the principles and give the IAOC the authority to do
it.

regards,
     john

---

From: John C Klensin <[email-masked]>
Date: Wed, 26 Jan 2005 10:55:41 -0500

Harald,

I think this is all to the good.  Several specific comments
below.

--On Wednesday, 26 January, 2005 09:29 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> John,
> 
> attempting to take some higher-level process issues first,
> before answering questions in detail:
> 
> The question Neustar asked the transition team could be
> roughly represented as "If we make this deal with CNRI, will
> the IETF community think that we tried to help, or be mad at
> us for interfering?".
> 
> It was obvious to us, as the transition team, that we could
> not answer that definitely - we have no power to decide on
> behalf of the community. But after listening to what Neustar
> had to say, we were able to say:
> 
> - We will *share* with the community our opinion that this
> effort could help achieve a transition with less conflict and
> uncertainty than going straight from a CNRI-provided
> secretariat to an open RFP process would.

Can you explain (if you have not already done so in your longer
note) why you think this helps if the issues associated with
CNRI-claimed IPR and agreements with ISOC that prevent lodging
certain IETF administrative and support functions under an ISOC
umbrella remain unresolved?  It seems to me that those issues
are the clear loci of potential "conflict and uncertainty".  If
this intermediate transition does not address them, is it of
significant help compared with the potential simplicity of a
one-step process?

> - We will *recommend* to the to-be-established IASA and IAOC
> that if this deal happens, they will negotiate in good faith
> with Neustar on a contract for these services.

See my earlier comments, responding to Brian, about the BCP
draft and sole-source, unsolicited, proposals.

> I believe both of these actions are entirely within the remit
> of the transition team.

Yes.  Certainly the transition team can inform the community and
make any recommendations it finds appropriate.

> We do have something of a timing problem here - if we want our
> IAD to negotiate a contract, we cannot sign a contract before
> we have an IAD; we cannot hire the IAD before we have an IASA
> to do the hiring; we cannot establish an IASA before we have a
> BCP; we cannot approve a BCP before the text stands still.

Yes, and I believe the community understood that issue when
consensus was reached on the transition team not being an
interim IAOC.

> But this event is occuring now - Neustar and CNRI are saying
> that it would be an advantage in practical terms to have this
> deal concluded before the March IETF. It would be very strange
> if we were so caught up in the formalities of IASA
> establishment that nobody was able to talk to them, look at
> what they are offering, and say "this appears to be helpful,
> thank you for trying".

Harald, while I am not arguing against this idea -- just
attempting to understand its ramifications, context, and the
problems it does or does not solve --I suggest that the two do
not have anything to do with each other.

In the strange world in which we have been living for the last
several years, and in which we live today, the IETF's
relationship with the secretariat (including mailing list and
meeting planning functions -- see Scott's note) is informal and
with a legal entity called "Foretec".  While we might wish it
otherwise, the question of whether Foretec is a subsidiary of
CNRI, of Neustar, of some yet-to-be-created entity, or is
completely independent is not a subject on which the IETF gets a
vote.   As we have seen, the IETF doesn't get a vote on who
Foretec employs and in what positions, either.    So, if the
ownership of Foretec changes before March, I don't think we
formally care... at least as long as Bob Kahn keeps his personal
commitment to continue to keep the current secretariat model in
operation and working well until satisfactory other arrangements
are made, and I have every confidence that he will keep that
commitment.  

Now, by contrast and purely hypothetically, if Neustar comes to
the IETF and says "we are willing to make this deal with CNRI if
and only if the IETF will guarantee us some number of years to
operate the secretariat under the current terms that IETF has
with CRNI/Foretec", then IETF acquires some standing to respond
and some options for doing so.  Those options include saying
"this seems like a fine idea in principle, and we will commend
you to the IASA  for your helpful intentions, but we can't make
any time commitments past the date that the IAOC opens up
competition on an RFP, a competition in which you are free to
engage.  However, if the terms and conditions of the current
relationship with Foretec were acceptable to us long-term, we
would not have initiated the Admin Reorganization process, which
you, as participants in the community, presumably know perfectly
well".

> I think that's a good use of the transition team.

As long as the transition team doesn't start making up the rules
as it goes along, or take actions that render provisions of the
BCP meaningless, I do too.  Since your comments above seem to
indicate that you and the transition team understand that it
doesn't have the authority to do either of those things, we are
probably in full agreement.

   john

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 26 Jan 2005 17:02:07 +0100

> 	not fufill some of the principles of the BCP itself or

I think the text Bert circulated as the resolution of
Issue #788: Section 3 - Which functions should be done "in-house"
allows this. It doesn't mention sole-sourcing, but it
doesn't forbid it either.

     Brian

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 26 Jan 2005 11:02:53 -0500

At 10:13 AM -0500 1/26/05, John C Klensin wrote:

Hi John,

>the potential for competitive proposals against that RFP.

What gives you this impression?  The current IASA BCP doesn't include 
the term "RFP", nor does it require any public bidding process or 
specify any opportunity for the public to comment on potential 
contractors before contracts are signed.  The "transparency and 
openness" portions of the BCP are all after-the-fact -- financial 
reporting, making the contracts or MOUs public, publishing decisions 
after they are made (with no time constraints), etc.  When combined 
with the fact that we don't apparently have consensus that the 
community needs any way to review/appeal a decision of the IAOC, the 
document currently gives the IAOC full, unchecked control over the 
structure of IASA and how that work is contracted.

So, IMO, if we pass the BCP as-is, the IAOC would have the authority 
to contract with Neustar to provide all of the current IETF 
secretariat services. and they could probably get away without 
telling us about the decision until after a binding commitment letter 
is signed.

Personally, I am stunned by the idea that after years of complaining 
about our IT infrastructure, including the creation of a special 
mailing list for the IESG to collect details of our IT problems so 
that we could build a case to change providers, the IASA TT would 
even consider recommending a multi-year contract to continue 
receiving IT services (e-mail and web support) from the same 
provider.  But, I haven't figured out if there is any forum in which 
I could constructively voice my surprise...

>  The
>would find acceptable.

I certainly wouldn't find this acceptable.

>	not fufill some of the principles of the BCP itself or

I don't see anything in the current BCP that prevents this, or even 
discourages it.

Margaret

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 26 Jan 2005 11:07:17 -0500

Maybe I am naive, but the discussion I have seen on the list is not 
actually about something the IETF can or should "approve".  Reportedly, 
ForeTec, CNRI, and Neustar are in negotiations.  The IETF has no say in 
such negotiations.

Reportedly, what has been asked is "will the IETF react badly to Neustar 
engage in this transaction?"  My reaction to the question is:
1) It shows good sense that Neustar is asking
2) As has been noted (and probably was understood when the question was 
asked) no one is in a position to answer this definitively, nor to bind the 
community to an answer.
3) Based on what was posted, it seems unlikely to upset the applecart.

Now, there are lots of "interesting" issues in such a deal, including 
issues about who owns what intellectual property now, who will own it 
aftwards, who will own what going forward, etc.  However, that is mostly a 
matter of Neustar and CNRI having discussions, with property disclosures 
about risks and proper skepticism as is suited to any business deal.  It 
does not involve the IETF, IESG, IAB, IAOC, interim IACO, IAD, ISOC, or any 
other part of I* making assertions or conclusions.

It also, at least according to what I saw on this list, dos not involve the 
IAOC making any kind of binding committment to work with Neustar now or in 
the future.

Pragmatically, if such a deal does take place, then we will be working with 
Neustar whether we want to or not.  The fact that they appear to be 
sensitive to concerns is nice, but irrelevant.

I appreciate the interim IAOC letting us know that hey have been informed 
of such discusions, and asked certain questions.  There is no indication 
that they have over-reached themselves in responding.  There is no 
indication that anything in the BCP needs to be reconsidered or changed 
based on this.

So can we worry about the things we need to focus on for getting the BCP 
done?  Can we find some meeting point on the open issues (particularly 
review / appeal) so we can get this done?  [Oh heck.  I have written this 
much, I might as well state my opinion on this issue.]  There are clearly 
risks with either a process that invites second guessing and business 
interference, or with a process that hides everything from the 
community.  At a guess, whatever we write for this will be slightly 
wrong.  If it turns out to be seriously wrong, we will fix it.  I 
personally tend towards language that restricts the appeals / reviews 
because I would rather see a lityle too much accomplished without enough 
notice / oversight rather than see things blocked if one or the other error 
case comes to pass.  We have to pick our risks.

Yours,
Joel

At 10:13 AM 1/26/2005, John C Klensin wrote:
>discussion of business deal elided.

---

From: John C Klensin <[email-masked]>
Date: Wed, 26 Jan 2005 11:37:05 -0500

--On Wednesday, 26 January, 2005 11:02 -0500 Margaret Wasserman
<[email-masked]> wrote:

>> The situation you fear doesn't change at all.  The draft
>> doesn't give the IAOC any authority to accept an unsolicited
>> proposal in the absence of an IAD-created, IAOC-approved, RFP
>> and at least the potential for competitive proposals against
>> that RFP.
> 
> What gives you this impression?  The current IASA BCP doesn't
> include the term "RFP", nor does it require any public bidding
> process or specify any opportunity for the public to comment
> on potential contractors before contracts are signed.  The
> "transparency and openness" portions of the BCP are all
> after-the-fact -- financial reporting, making the contracts or
> MOUs public, publishing decisions after they are made (with no
> time constraints), etc.  When combined with the fact that we
> don't apparently have consensus that the community needs any
> way to review/appeal a decision of the IAOC, the document
> currently gives the IAOC full, unchecked control over the
> So, IMO, if we pass the BCP as-is, the IAOC would have the
> authority to contract with Neustar to provide all of the
> current IETF secretariat services. and they could probably get
> away without telling us about the decision until after a
> binding commitment letter is signed.

I just went back and looked at the text, and it appears, to my
chagrin, that after weeks of discussion about "preferred
outsourcing" and "RFP-based processes", we have "improved" the
language sufficiently to not prevent, even in principle, private
and secret dealings leading to contracts that cannot be un-done
without any opportunity for meaningful community input either
before or after the fact.    Perhaps we need to fix that :-(

> Personally, I am stunned by the idea that after years of
> complaining about our IT infrastructure, including the
> creation of a special mailing list for the IESG to collect
> details of our IT problems so that we could build a case to
> change providers, the IASA TT would even consider recommending
> a multi-year contract to continue receiving IT services
> (e-mail and web support) from the same provider.  But, I
> haven't figured out if there is any forum in which I could
> constructively voice my surprise...

It seems to me that you are a member of the community, and that
you have just found the appropriate forum.   My understanding
from Harald's note and other conversations is that, if Neustar
understands that this idea creates a bad smell around the
community, they won't go through with the deal.   And, if you
believe that the TT's considering this idea constitutes actual
bad behavior or incompetence rather than simple poor judgment,
you know how to fill out recall petitions.
 
>> unchanged.  The issues about review or appeals, who can
>> initiate them, and what they can change, that Sam, Avri, and
>> others have been discussing with Mike, myself, and others are
>> likely to be resolved by "no one at all in any meaningful way
>> until the initial term of the 'arrangement' expires", a
>> situation that I'm sure none of those who have been involved
>> in that discussion would find acceptable.
> 

Of course, if Neustar agrees to whatever provisions are in the
BCP, and whatever details about those provisions that the IAOC
specifies, and is able to do so --which Harald's note indicates
they are prepared to do-- then this should not be an issue.

> I don't see anything in the current BCP that prevents this, or
> even discourages it.

See above.
    john

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 26 Jan 2005 12:30:13 -0500

>before or after the fact.    Perhaps we need to fix that :-(

Yes.  We seem to have been moving rather steadily in that 
direction...  This is probably the result of basing our work on a 
draft (that I wrote) that was largely intended to describe the 
corporate organization of the IETF administrative support function. 
Most of the other informraiton in Carl's draft (including how we 
should handle our contract negotiations) was (at least IMO) okay with 
both the Scenario C and Scenario O camps and, as a result, has been 
omitted from the BCP document.

And, yes, I do think we should do something to fix it...  Perhaps we 
could review Carl's original draft (which may have expired by now, 
but I am sure we can find it) and identify sections that we think 
should be brought over into the IASA BCP?

Margaret

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 26 Jan 2005 19:19:15 +0100

--On onsdag, januar 26, 2005 12:30:13 -0500 Margaret Wasserman 
<[email-masked]> wrote:

> Yes.  We seem to have been moving rather steadily in that direction...
> This is probably the result of basing our work on a draft (that I wrote)
> that was largely intended to describe the corporate organization of the
> IETF administrative support function. Most of the other informraiton in
> Carl's draft (including how we should handle our contract negotiations)
> was (at least IMO) okay with both the Scenario C and Scenario O camps
> and, as a result, has been omitted from the BCP document.
>
> could review Carl's original draft (which may have expired by now, but I
> am sure we can find it) and identify sections that we think should be
> brought over into the IASA BCP?

I may be over-eager to get the organization in place - but - perhaps we 
should get this organizational BCP out the door and clear some tables for 
working on what we want this shiny new organization of ours to accomplish 
for us THIS year, rather than, as the BCP tries to be, ANY year?

The BCP is not the end.

                      Harald

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 27 Jan 2005 09:07:11 +0100

John,
just one comment:

--On 26. januar 2005 10:55 -0500 John C Klensin <[email-masked]> wrote:

> However, if the terms and conditions of the current
> well

I believe (and have told Bob Kahn that too) that if the Foretec stuff had 
been working perfectly, we would STILL do the reorganization.
In fact, I believe that if it had been a fully functional working 
relationship with nobody seeing an advantage to the current undefined state 
of relationships, the reorganization would have happened long before I took 
on the job as IETF chair.
As you known, having been part of the effort to take steps in the same 
direction....

                  Harald

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 27 Jan 2005 10:51:51 +0100

on re-reading this, I think John and I are saying the same thing. I missed 
that in my earlier read. Serves me for replying too early in the morning :-(

--On torsdag, januar 27, 2005 09:07:11 +0100 Harald Tveit Alvestrand 
<[email-masked]> wrote:

> relationship with nobody seeing an advantage to the current undefined
> state of relationships, the reorganization would have happened long
> before I took on the job as IETF chair.

---

From: John C Klensin <[email-masked]>
Date: Thu, 27 Jan 2005 04:57:30 -0500

--On Thursday, 27 January, 2005 09:07 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

>> would not have initiated the Admin Reorganization process,
>> which you, as participants in the community, presumably know
>> perfectly well
> 
> I believe (and have told Bob Kahn that too) that if the
> Foretec stuff had been working perfectly, we would STILL do
> the reorganization.
> In fact, I believe that if it had been a fully functional
> working relationship with nobody seeing an advantage to the
> current undefined state of relationships, the reorganization
> would have happened long before I took on the job as IETF
> chair.
> As you known, having been part of the effort to take steps in
> the same direction....

Well, not exactly.  Yes, I have believed for many years that it
would serve the IETF well to have a mutually-acceptable written
agreement with CNRI (or Foretec) that clarified a number of
issues about secretariat management, finances, the authority
locus of a number of decisions, and the questions associated
with IPR.  If such an agreement had been concluded six or eight
years ago, and worked well, I think we would still have
eventually evolved toward some sort of administrative
reorganization, if only to consolidate the income and
expenditure streams so that they could be looked at as a
complete picture.  

But this particular reorg process has been characterized by a
crisis mentality and a sense of "got to get it done quickly even
if it means pushing our procedural boundaries really hard"
urgency. That would probably not have been necessary in the
presence of a smoothly-functioning secretariat working under a
clear and mutually acceptable agreement about responsibilities
and authority.  That sense of urgency and the associated short
deadlines have consumed a good deal of community energy that,
IMO, would have been better spent on production of high-quality
standards.  In general, neither crisis mentalities nor
procedural shortcuts lead to carefully thought out and
well-reasoned results (I think this process has done amazingly
well despite that impediment).

Conversely, I wish we were able to focus the same level of
attention and expedited handling on WG-based standards and other
documents.

regards,
   john

---

From: John C Klensin <[email-masked]>
Date: Thu, 27 Jan 2005 05:17:47 -0500

--On Thursday, 27 January, 2005 10:51 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> on re-reading this, I think John and I are saying the same
> thing. I missed that in my earlier read. Serves me for
> replying too early in the morning :-(

Even earlier in the morning here :-(
But, yes, I think we are largely in agreement, inevitable small
differences in perspective notwithstanding.

   john

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 27 Jan 2005 11:29:25 +0100

--On 27. januar 2005 04:57 -0500 John C Klensin <[email-masked]> wrote:

> and authority.

I agree.

> That sense of urgency and the associated short

Another reason for pushing for a finish has been the realization that this 
group, like all IETF groups, IS capable of discussing issues forever, and 
that we cannot get our energy back until we finish this one.

> attention and expedited handling on WG-based standards and other

Yes, and I believe that to some degree, we are..... I am quite happy that 
the IESG has been able to "keep its nose to the grindstone" and push out 
almost one document approval per day over the same period as this 
discussion has been going on...... (15 document approvals and  25 protocol 
actions since December 6, according to my ietf-announce logs - including 
the resolution of a few thorny issues of long standing).

But it will be good to get it over with.

                    Harald